﻿using System;
using System.Reflection;

using DevExpress.XtraEditors;
using DevExpress.XtraMap;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : XtraForm
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Uri baseURI = new Uri(Assembly.GetExecutingAssembly().Location);

            this.mapControl.Layers.Add
            (
                new VectorItemsLayer
                {
                    Data = new SvgFileDataAdapter
                    {
                        FileUri = new Uri(baseURI, "DATA/countries.svg")
                    }
                }
            );
        }

        #endregion
    }
}